Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226274 - Merge Review: perl-Parse-RecDescent
Summary: Merge Review: perl-Parse-RecDescent
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 20:37 UTC by Nobody's working on this, feel free to take it
Modified: 2012-01-31 14:09 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-16 05:18:36 UTC
panemade: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 20:37:25 UTC
Fedora Merge Review: perl-Parse-RecDescent

http://cvs.fedora.redhat.com/viewcvs/devel/perl-Parse-RecDescent/
Initial Owner: rnorwood@redhat.com

Comment 1 Parag AN(पराग) 2007-10-29 05:18:47 UTC
1)perl as BR is not needed. mock build without it worked successfully.
   remove redundant dependency on perl >= 1:5.6.1
2) rpmlint gave me
perl-Parse-RecDescent.noarch: W: file-not-utf8
/usr/share/doc/perl-Parse-RecDescent-1.95.1/demo/demo_dot.pl
The character encoding of this file is not UTF-8.  Consider converting it
in the specfile for example using iconv(1).

perl-Parse-RecDescent.noarch: W: incoherent-version-in-changelog 1.95-2 1.95.1-2.fc8
The last entry in %changelog contains a version identifier that is not
coherent with the epoch:version-release tuple of the package.

3) make test skipped some tests
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0,
'blib/lib', 'blib/arch')" t/*.t
t/00.load....# Testing Parse::RecDescent 1.95.1
ok
t/basics.....Name "main::D" used only once: possible typo at t/basics.t line 15.
ok
t/pod........skipped
        all skipped: Test::Pod 1.14 required for testing POD
All tests successful, 1 test skipped.


Comment 2 Parag AN(पराग) 2007-11-13 08:55:39 UTC
any updates here?

Comment 3 Robin Norwood 2007-11-14 18:31:51 UTC
all of the issues in comment #1 should be fixed in
perl-Parse-RecDescent-1.95.1-3, building now.

Comment 4 Parag AN(पराग) 2007-11-15 04:59:29 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
122fa38d52a701897836370ae022f174  Parse-RecDescent-v1.95.1.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test outputs
 PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0,
'blib/lib', 'blib/arch')" t/*.t
t/00.load....# Testing Parse::RecDescent 1.95.1
ok
t/basics.....Name "main::D" used only once: possible typo at t/basics.t line 15.
ok
t/pod........ok
All tests successful.
Files=3, Tests=21,  1 wallclock secs ( 0.52 cusr +  0.03 csys =  0.55 CPU)
+ Package perl-Parse-RecDescent-1.95.1-3.fc9 ->
  Provides: perl(Parse::RecDescent) perl(Parse::RecDescent::Action)
perl(Parse::RecDescent::ColCounter) perl(Parse::RecDescent::Directive)
perl(Parse::RecDescent::Error) perl(Parse::RecDescent::Expectation)
perl(Parse::RecDescent::InterpLit) perl(Parse::RecDescent::LineCounter)
perl(Parse::RecDescent::Literal) perl(Parse::RecDescent::OffsetCounter)
perl(Parse::RecDescent::Operator) perl(Parse::RecDescent::Production)
perl(Parse::RecDescent::Repetition) perl(Parse::RecDescent::Result)
perl(Parse::RecDescent::Rule) perl(Parse::RecDescent::Subrule)
perl(Parse::RecDescent::Token) perl(Parse::RecDescent::UncondReject)
 Requires: perl >= 0:5.005 perl(:MODULE_COMPAT_5.8.8) perl(Carp)
perl(Parse::RecDescent) perl(Text::Balanced) perl(strict) perl(vars) perl(version)
APPROVED.



Comment 5 Petr Pisar 2012-01-31 08:57:54 UTC
Package Change Request
======================
Package Name: perl-Parse-RecDescent
New Branches: 
Owners: 
InitialCC: perl-sig

Please add perl-sig user with watch* permissions only to all Fedora branches.

Comment 6 Gwyn Ciesla 2012-01-31 14:08:54 UTC
Done.


Note You need to log in before you can comment on or make changes to this bug.